{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Marcas de renombre {% endblock %}

{% block stylesheets %}
<link href="{{ asset('vendor/treeView/treeView.css') }}" rel="stylesheet">
<link href="{{ asset('vendor/treeView/treeView.slim.css') }}" rel="stylesheet">

<style type="text/css">
#contenido_intranet>div
{
	/*border-radius: 35px;*/
	padding: 15px;
}
#contenido_intranet div.row div[class|=col]
{
	overflow: hidden;
}
#contenido_intranet div.row div[class|=col] div.box
{
	background-color: rgba(255, 255, 255, 0.76);
}
#logo > img
{
	max-width: 100%;
}
div.botones
{
	text-align: right;
}
#holder
{
	border: 3px solid #CCC;
	margin: 10px auto;
	max-height: 75vh;
	overflow-y: auto;
	padding: 10px;
	width: 100%;
}
.mailbox-attachments .mailbox-attachment-icon
{
	max-height: 132px;
	min-height: 132px;
	overflow: hidden;
}
#holder.admin
{
	background: #FFF;
	border: 7px dashed #CCC;
	margin: 20px auto;
	min-height: 430px;
	padding: 25px;
	width: 100%;
}
#holder.slim
{
	min-height: 150px;
}
#holder.slim li span.mailbox-attachment-icon
{
	font-size: 23px;
	min-height: 72px;
}
#holder.slim > li.document-row
{
	width: 120px;
}
#holder.slim .mailbox-attachment-info
{
	padding: 5px;
}
#holder.dragOver
{
	/*border: 10px dashed #0C0;*/
	border: 10px dashed #2A91E7;
}

#holder.dragEnd
{
	border: 10px dashed #CCC;
}
div.comentarioIntranet i.editarComentario, div.comentarioIntranet i.borrarComentario
{
	cursor: pointer;
	display: none;
}
div.comentarioIntranet:hover i.editarComentario, div.comentarioIntranet:hover i.borrarComentario
{
	display: inline-block;
}
div.chat
{
	min-height: 150px;
  	overflow-y: auto;
}
div.row div div#tablaExcel_wrapper
{
	overflow-x: auto;
}
</style>
{% endblock stylesheets %}

{% block body %}
<div class="row" id="pf_opmenu">
	<div class="col-xs-12 col-sm-12">
		<div id="contenido_intranet"></div>
	</div>
</div>
<div class="row" id="panelAdmin">
	<div class="panel panel-default">
        <div class="panel panel-body">
        	<div class="row">
        		<div class="col-md-4">
        			<div class="optEditable" style="display:none;">
	        			<select id="plantilla" class="form-control">
	        				{% for plantilla in plantillas if plantilla.tipo == 1 %}
	        					<option value="{{ plantilla.idPlantilla }}">{{ plantilla.nombre }}</option>
	        				{% endfor %}
	        			</select>
        			</div>
        		</div>
        		<div class="col-md-5 optEditar">
        			<div class="optEditable" style="display:none;">
	        			<label>Fondo: </label>
	        			<input type="file" id="archivoFondo" data-nombre="fondo" data-edit="img" />
        			</div>
        		</div>
        		<div class="col-md-3 botones">
        			<input type="button" value="Comentarios" class="btn btn-info" id="btnComentarios" />
        			<input type="button" value="Editar" class="btn btn-info" id="btnEditar" />
		            <input type="button" value="Guardar" class="btn btn-primary" id="btnGuardar" style="display:none;" />
		            <input type="button" value="Cancelar" class="btn btn-warning" id="btnCancelar" style="display:none;" />
		            <input type="button" value="Eliminar" class="btn btn-danger" id="btnEliminar" />
        		</div>
        	</div>
        </div>
    </div>
</div>
{% endblock %}


{% block javascripts %}
{# Templates #}
<script type="text/template" id='BreadcrumbMenusTemplate'>
	{% include 'IntranetBundle:js:breadcrumbMenus.html.twig' %} 
</script>

{# Delaraciones #}
<script type="text/javascript">
	urls.intranet = urls.intranet || {};
	urls.intranet.contenido = "{{ path('intranet_contenido') }}";
	urls.intranet.plantillas = "{{ path('intranet_plantillas') }}";
	urls.intranet.contenidoGuardar = "{{ path('intranet_contenido_guardar') }}";
	urls.intranet.contenidoGuardarArchivo = "{{ path('intranet_contenido_guardar_archivo') }}";
	urls.intranet.contenidoGuardarArchivos = "{{ path('intranet_contenido_guardar_archivos') }}";
	urls.intranet.contenidoBorrarArchivos = "{{ path('intranet_contenido_borrar_archivo') }}";
	urls.intranet.menuEliminar = "{{ path('intranet_menu_eliminar') }}";
	urls.intranet.uploads = "{{ pathIntranetContenidos }}";
	//Comentarios
	urls.intranet.comentarios = urls.intranet.comentarios || {};
	urls.intranet.comentarios.crear = "{{ path('intranet_comentarios_create') }}";
	urls.intranet.comentarios.update = "{{ path('intranet_comentarios_update') }}";
	urls.intranet.comentarios.borrar = "{{ path('intranet_comentarios_delete') }}";
	urls.intranet.comentarios.excel = "{{ path('intranet_comentarios_excel', {idContenido: '__idContenido__'}) }}";

	var idUsuario = {{ app.user.uNumero }};
	var isAdmin = {{ is_granted('ROLE_ADMINISTRADOR') ? 'true' : 'false' }};
	var plantillas = {{ plantillas |json_encode()|raw }};
	var plantillasHtml = {{ plantillasHtml |json_encode()|raw }};

	var plantilla = _.find(plantillas, function (item){ return item.nombre == "ArchivoIntranet"});
	var archivoListaTemplate = _.template(plantillasHtml[plantilla.idPlantilla]);
	plantilla = _.find(plantillas, function (item){ return item.nombre == "ComentarioIntranet"});
	var comentarioTemplate = _.template(plantillasHtml[plantilla.idPlantilla]);
	plantilla = _.find(plantillas, function (item){ return item.nombre == "ComentariosIntranet"});
	var comentariosTemplate = _.template(plantillasHtml[plantilla.idPlantilla]);
	plantilla = _.find(plantillas, function (item){ return item.nombre == "ReporteComentarios"});
	var ReporteComentariosTemplate = _.template(plantillasHtml[plantilla.idPlantilla]);
	plantilla = _.find(plantillas, function (item){ return item.nombre == "NotFound"});
	var NotFoundTemplate = _.template(plantillasHtml[plantilla.idPlantilla]);
</script>

{# Librerías #}
<script type="text/javascript" src="{{ asset('bundles/intranet/plugins/ckeditor/ckeditor.js') }}"></script>
<script src="{{ asset('vendor/treeView/treeView.js') }}" /></script>
<script type="text/javascript" src="{{ asset('vendor/js/date.js') }}" /></script>

{# JS #}
<script type="text/javascript" src="{{ asset('bundles/intranet/js/intranet.js') }}"></script>
<script type="text/javascript" src="{{ asset('bundles/intranet/js/ArchivosIntranet.js') }}"></script>
<script type="text/javascript" src="{{ asset('bundles/intranet/js/ComentariosIntranet.js') }}"></script>

<script type="text/javascript">
$(document).ready(function() {
  $("#btnEditar").click(function(){ editHtml(true); });
  $("#btnCancelar").click(function(){ editHtml(false); });
  $("#btnGuardar").click(saveHtml);
  $("#btnEliminar").click(eliminar);
  $("#plantilla").change(plantillaChange);
  $("#btnComentarios").click(reporteComentarios);
//  $("#archivoFondo").change(fondoChange);

  var appRouter = new AppRouter();

  Backbone.history.start();
  GetMenuJSON(false);
});

</script>

{% endblock javascripts %}
